CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Models.GetClusterRegistryModelAsync(id: "meetkai:my-custom-chat-v1");
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.models.get_cluster_registry_model(id="meetkai:my-custom-chat-v1")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.models.getClusterRegistryModel({
id: "meetkai:my-custom-chat-v1",
});
console.log(result);
}
run();curl --request GET \
--url https://apigw.mka1.com/api/v1/llm/models/registry/cluster/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.mka1.com/api/v1/llm/models/registry/cluster/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "meetkai:my-custom-chat-v1",
"provider": "openai-compatible",
"model_id": "my-custom-chat-v1",
"source": "database",
"immutable": false,
"definition": {
"id": "meetkai:my-custom-chat-v1",
"provider": "openai-compatible",
"modelId": "my-custom-chat-v1",
"displayName": "My Custom Chat v1",
"baseUrl": "https://models.example.com/v1",
"apiFormat": "responses",
"created": 1704067200,
"auth": {
"type": "api-key",
"value": "****"
},
"capabilities": {
"modalities": {
"input": [
"text"
],
"output": [
"text"
]
},
"reasoning": true,
"supportsTemperature": true,
"supportsTopP": true
},
"contextWindow": 131072,
"rpm": 120,
"defaultParams": {
"temperature": 0.2,
"topP": 0.95
},
"hidden": false,
"healthCheck": {
"mode": "preflight",
"path": "/models"
},
"source": "database",
"immutable": false
},
"health": {
"is_available": true,
"last_health_check": 1704067200000,
"error": null
},
"created_at": 1704067200000,
"updated_at": 1704153600000
}Models
Obtenha um modelo de propriedade do cluster
Retorna um único modelo de propriedade do operador, adicionado pela API. Apenas administrador do cluster.
GET
/
api
/
v1
/
llm
/
models
/
registry
/
cluster
/
{id}
CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Models.GetClusterRegistryModelAsync(id: "meetkai:my-custom-chat-v1");
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.models.get_cluster_registry_model(id="meetkai:my-custom-chat-v1")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.models.getClusterRegistryModel({
id: "meetkai:my-custom-chat-v1",
});
console.log(result);
}
run();Autorizações
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Parâmetros de caminho
Resposta
200 - application/json
OK
Esta página foi útil?
⌘I